Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DescribeInstancesRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.ec2.model.DescribeInstancesRequest

    public class DescribeInstancesRequest

extends AmazonWebServiceRequest

Container for the parameters to the `DescribeInstances operation`.

The DescribeInstances operation returns information about instances that you own.

If you specify one or more instance IDs, Amazon EC2 returns information for those instances. If you do not specify instance IDs, Amazon EC2 returns information for all relevant instances. If you specify an invalid instance ID, a fault is returned. If you specify an instance that you do not own, it will not be included in the returned results.

Recently terminated instances might appear in the returned results. This interval is usually less than one hour.

See Also:
  `AmazonEC2.describeInstances(DescribeInstancesRequest)`

Constructor Summary
`DescribeInstancesRequest()`

Method Summary
`List<String>` | `getInstanceIds()` An optional list of the instances to describe.
`void` | `setInstanceIds(Collection<String> instanceIds)` An optional list of the instances to describe.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeInstancesRequest` | `withInstanceIds(Collection<String> instanceIds)` An optional list of the instances to describe.
`DescribeInstancesRequest` | `withInstanceIds(String... instanceIds)` An optional list of the instances to describe.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeInstancesRequest

    public DescribeInstancesRequest()

Method Detail

### getInstanceIds

    public List<String> getInstanceIds()

  An optional list of the instances to describe.

  Returns:
    An optional list of the instances to describe.

### setInstanceIds

    public void setInstanceIds(Collection<String> instanceIds)

  An optional list of the instances to describe.

  Parameters:
    `instanceIds` - An optional list of the instances to describe.

### withInstanceIds

    public DescribeInstancesRequest withInstanceIds(String... instanceIds)

  An optional list of the instances to describe.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `instanceIds` - An optional list of the instances to describe.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withInstanceIds

    public DescribeInstancesRequest withInstanceIds(Collection<String> instanceIds)

  An optional list of the instances to describe.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `instanceIds` - An optional list of the instances to describe.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.